## xdoclet.modules.sun.sunone.ejb
Class SunONESubTask.SunONEVersionTypes

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          xdoclet.modules.sun.sunone.ejb.SunONESubTask.SunONEVersionTypes

Enclosing class:
  SunONESubTask

public static class SunONESubTask.SunONEVersionTypes
extends org.apache.tools.ant.types.EnumeratedAttribute

created
  22 January 2003

Field Summary
`static String` `VERSION_6_0`
`static String` `VERSION_6_5`
`static String` `VERSION_7_0`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`SunONESubTask.SunONEVersionTypes()`

Method Summary
`String[]` `getValues()` Gets the Values attribute of the SunONEVersionTypes object

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_6_0

    public static final String VERSION_6_0

See Also:
  Constant Field Values

### VERSION_6_5

    public static final String VERSION_6_5

See Also:
  Constant Field Values

### VERSION_7_0

    public static final String VERSION_7_0

See Also:
  Constant Field Values

Constructor Detail

### SunONESubTask.SunONEVersionTypes

    public SunONESubTask.SunONEVersionTypes()

Method Detail

### getValues

    public String[] getValues()

  Gets the Values attribute of the SunONEVersionTypes object

  Returns:
    The Values value

http://xdoclet.sourceforge.net/